function love.load()
  -- setup the view
  Scene = require('scene')
  view = Scene.newView()
  local gw, gh = love.graphics.getDimensions()
  view:setDimensions(300, 300)
  view:setPosition(gw/2 - 300/2, gh/2 - 300/2)
  view:setBackground(0, 1, 1)
  -- scene and camera
  local w, h = view:getDimensions()
  root = Scene.newLayer(0, 0) -- no parent
  camera = root:newCamera(0, 0)
  view:setCamera(camera)
  camera:setRotation(math.pi/8)
  -- sprite and graphic
  sprite = root:newSprite(0, 0)
  local img = love.graphics.newImage('icon.png')
  local iw, ih = img:getDimensions()
  sprite:setGraphic(img, -iw/2, -ih/2)
end

function love.update(dt)
  -- convert the mouse to scene and move the sprite under it
  local mx, my = love.mouse.getPosition()
  local rx, ry = view:windowToRoot(mx, my)
  sprite:setPosition(rx, ry)
end

function love.draw()
  view:draw()
end